# TODO
# - consider this version (with code2color etc.):
#	http://www-zeuthen.desy.de/~friebel/unix/lesspipe.html
#
Summary:	Input preprocessor for less
Summary(pl.UTF-8):	Preprocesor wejścia dla narzędzia less
Name:		lesspipe
Version:	1.57
Release:	1
License:	GPL v2
Group:		Applications/Text
Source0:	%{name}.sh
BuildRequires:	rpmbuild(macros) >= 1.316
Suggests:	file
Suggests:	gnupg
Suggests:	highlight
Suggests:	mailcap >= 2.3
Suggests:	objdump
Suggests:	openssl-tools
Conflicts:	less < 394-7.1
Conflicts:	tar < 1:1.22
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
lesspipe is an input preprocessor for less.

Before less opens a file, it first gives your input preprocessor a
chance to modify the way the contents of the file are displayed.

This package contains PLD Linux script to display various archive
contents in human readable way.

%description -l pl.UTF-8
lesspipe to preprocesor wejścia dla narzędzia less.

Zanim less otworzy plik, najpierw pozwala preprocesorowi zmodyfikować
sposób wyświetlania pliku.

Ten pakiet zawiera skrypt z PLD Linuksa wyświetlający zawartość
różnych archiwów w sposób czytelny dla człowieka.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},/etc/env.d}
install -p %{SOURCE0} $RPM_BUILD_ROOT%{_bindir}

# Prepare env file
cat > $RPM_BUILD_ROOT/etc/env.d/LESSOPEN <<'EOF'
LESSOPEN="|lesspipe.sh %s"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%env_update

%postun
%env_update

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}.sh
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/env.d/*
%changelog
* Wed Apr 05 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/lesspipe.git;a=log;h=master

* Tue Aug 30 2016 Tomasz Pala <gotar@pld-linux.org> 964315f
- suggest some commonly used tools (except for file archivers),
example gpg -> gpg2 fallback

* Sat Aug 20 2016 Elan Ruusamäe <glen@delfi.ee> 92ea88f
- assume .gpg encrypted files, like from pass(1)

* Sat Jul 02 2016 Tomasz Pala <gotar@pld-linux.org> dfd64c2
- depending on the environment, less might be parent or grandparent
(via SHELL) of lesspipe.sh, try to handle both; bump ver. to 1.56

* Sun Oct 11 2015 Elan Ruusamäe <glen@delfi.ee> bf9fdf3
- .crx - Google Chrome extensions

* Sat May 23 2015 Elan Ruusamäe <glen@delfi.ee> d3c08fd
- add .whl - A built-package format for Python.

* Tue Oct 07 2014 Elan Ruusamäe <glen@delfi.ee> a5675c4
- *.so: display DT_NEEDED and SONAME info

* Wed Apr 03 2013 Elan Ruusamäe <glen@delfi.ee> c80c7ec
- view *.gem as tar files

* Mon Nov 05 2012 Elan Ruusamäe <glen@delfi.ee> 19a71b0
- 1.55: fix .bz handling, add tar.bz

* Mon Aug 20 2012 Elan Ruusamäe <glen@delfi.ee> 7fd7068
- recognize hudson/jenkins plugin packages (*.hpi, *.jpi)

* Tue Apr 24 2012 Elan Ruusamäe <glen@pld-linux.org> 7077f6c
- show squash files (.sqf)

* Sun Oct 16 2011 Tomasz Pala <gotar@pld-linux.org> cdeb5d4
- rel. 1.52: added rrd info, sorted archives with most common alternatives
  first and keeping *.tar.XYZ before *.XYZ

* Fri Oct 07 2011 Elan Ruusamäe <glen@pld-linux.org> 557b92e
- *.ova is TAR archive

* Sun Oct 02 2011 Elan Ruusamäe <glen@pld-linux.org> 0139577
- list .phar with phar

* Sat Jul 23 2011 areq <areq@pld-linux.org> 2f61cea
- 1.49

* Sat Mar 05 2011 Elan Ruusamäe <glen@pld-linux.org> d7d960e
- redirect stderr only toplevel, easier to debug

* Fri Feb 25 2011 Tomasz Pala <gotar@pld-linux.org> 43aeb76
- SQlite 3 database dump

* Mon Jan 03 2011 Tomasz Pala <gotar@pld-linux.org> bf89b38
- smime.p7s

* Tue Dec 21 2010 Elan Ruusamäe <glen@pld-linux.org> 24f619e
- v1.46: initrd fixes

* Sun Dec 19 2010 Elan Ruusamäe <glen@pld-linux.org> 301e6b2
- initrd: handle also romfs images

* Sun Dec 19 2010 Elan Ruusamäe <glen@pld-linux.org> d2a8dfa
- handle lzma and xz compressed initrd images

